#   FILE: pypvm.spec.in --
# AUTHOR: W. Michael Petullo <mike@flyn.org>
#   DATE: 30 Jul 1999
#
# Copyright (c) 1999 W. Michael Petullo <mike@flyn.org>
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

%define rel 1
%define prefix /usr

Summary: Provides an interface to the Parallel Virtual Machine to Python
Name: pypvm
Version: 0.8.2
Release: %rel
Copyright: GPL
Group: Development/Library
Source: %name-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /home/mike/development/live
Packager: W. Michael Petullo <mike@flyn.org>
URL: http://www.flyn.org
Requires: python pvm

%description
Pypvm is a Python module which allows interaction with the
Parallel Virtual Machine (PVM) package.  PVM allows a collection
of computers connected by a network to serve as a single parallel
computer.  More information about the PVM package can be found at
http://www.epm.ornl.gov/pvm/.

Pypvm is intended to be an educational and prototyping tool.  To use
Pypvm, import the pypvm module.

Pypvm includes the sample files master_test.py and slave_test.py.
Put slave_test.py in your PVM search path and execute master_test.py to
test your configuration and demonstrate the use of pypvm.

%changelog

%prep
%setup

%build
./configure --prefix=$RPM_BUILD_ROOT%{prefix}
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/python1.5/site-packages
make install
gzip -9 AUTHORS COPYING ChangeLog INSTALL NEWS README

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post

%preun

%postun

%files
%{prefix}/lib/python1.5/site-packages/pypvm.py
%{prefix}/lib/python1.5/site-packages/pypvm_coremodule.so

%doc AUTHORS.gz COPYING.gz ChangeLog.gz INSTALL.gz NEWS.gz README.gz

%config
